Get a File by ID
get
/api/file/Files/{id}
Gets the file that matches the specified ID.
Request
Path Parameters
-
id(required): integer(int32)
The file ID specified for individual CRUD operations.Example:
1
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : schema
Match All
Show Source
-
object
SuccessfulGetOperation
The response body for a successful get operation.
-
object
type
Nested Schema : SuccessfulGetOperation
Type:
objectThe response body for a successful get operation.
Show Source
-
message: string
The response message.Example:
Loaded 1 entries -
success: boolean
Whether the operation was a success (true) or a failure (false).Example:
true
Nested Schema : type
Type:
Show Source
object-
data: array
data
-
total: integer
The total number of results regardless of paging.Example:
1
Nested Schema : fileFilesRead
Type:
Show Source
object-
Expired: integer
If file is expired or not. If the value is 1, then the file expiration time has exceeded.Example:
0 -
ExpireTime: string
Allowed Values:
[ "Never", "2023-02-28 05:02:00" ]Expire time of file. Can be used to create a cleanup policy of expired files.Example:Never -
ExpireTimeFormatted: string
Allowed Values:
[ "Never", "28 Feb 2023 05:02:00" ]Expire Time after formattingExample:Never -
FileExtension: string
Type of extension for the file.Example:
png -
FileID: integer
Unique identifier for the file.Example:
1000 -
FileName: string
Name of the uploaded file, determined from Content-Disposition filename.Example:
AccessPoint.png -
FileType: string
The type of the file.Example:
Image -
FileTypeID: integer
The ID of the file type. The following default integer values are mapped to a string in the FileType property:
- 1: Other
- 2: Image
- 3: Report
- 4: Sound
This may, but does not have to, match the type indicated by the file's extension.Example:2 -
MimeType: string
The MIME type of the file.Example:
image/png -
Owner: string
Owner for the file.Example:
Group: Administrators -
OwnerUserGroupID: integer
The user group owner of the file.Example:
1 -
OwnerUserID: integer
The ID of the user that owns the file. This can never be an externally-authenticated transient user. 0 means it is public to all users in the owning group.Example:
0 -
Viewers: array
Viewers
Selection of user groups that have read-only access to file.
Nested Schema : Viewers
Type:
arraySelection of user groups that have read-only access to file.
Show Source
Example:
[
{
"UserGroupID":"0",
"UserGroupName":"[Public to All Groups]"
}
]Nested Schema : items
Type:
Show Source
object-
UserGroupID: integer
User Group ID
-
UserGroupName: string
User Group Name
Default Response
Failed operation
Root Schema : schema
Type:
Show Source
object-
errors: array
errors
The list of errors reported. Validation errors will be keyed by record field.
-
message: string
The response message.Example:
Exception thrown -
success: boolean
Whether the operation was a success (true) or a failure (false).Example:
false
Nested Schema : errors
Type:
arrayThe list of errors reported. Validation errors will be keyed by record field.
Show Source
-
Array of:
object items
An error.
Nested Schema : items
Type:
objectAn error.